Your message dated Tue, 8 Aug 2017 16:08:41 -0400
with message-id <20170808200841.rfypc2g5flbkk...@persil.tilapin.org>
and subject line Re: Bug#862359: php-codesniffer: Call to undefined method 
PHP_CodeSniffer_File::recordMetric()
has caused the Debian Bug report #862359,
regarding php-codesniffer: Call to undefined method 
PHP_CodeSniffer_File::recordMetric()
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
862359: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=862359
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: php-codesniffer
Version: 1.5.5-1
Severity: normal

Hello,

When using the --standard=PSR2 option, I get the following error:
PHP Fatal error:  Call to undefined method PHP_CodeSniffer_File::recordMetric()
in
/usr/share/php/PHP/CodeSniffer/Standards/PSR2/Sniffs/Files/ClosingTagSniff.php
on line 91

And indeed this function is not in /usr/share/php/PHP/CodeSniffer/File.php

Regards,



-- System Information:
Debian Release: 8.8
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.16.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages php-codesniffer depends on:
ii  php5-cli     5.6.30+dfsg-0+deb8u1
ii  php5-common  5.6.30+dfsg-0+deb8u1

Versions of packages php-codesniffer recommends:
ii  php-timer  1.0.5-1

php-codesniffer suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Version: 2.7.1-1

Hi Pierre,

Thank you for your report.

On Thu, May 11, 2017 at 08:09:30PM +0200, Pierre Rudloff wrote:
> Package: php-codesniffer
> Version: 1.5.5-1
[…]
> When using the --standard=PSR2 option, I get the following error:
> PHP Fatal error:  Call to undefined method 
> PHP_CodeSniffer_File::recordMetric()
[…]

This (and more) issues have been fixed in the mean time. You may wish to
upgrade your system to Stretch (the last stable release) and benefit
from a more recent version of php-codesniffer.

Regards

David

Attachment: signature.asc
Description: PGP signature


--- End Message ---

Reply via email to